package it.integry.integrywmsnative.gest.prod_accettazione_ord_produzione.ui;

import java.util.List;

import it.integry.integrywmsnative.core.di.BindableBoolean;
import it.integry.integrywmsnative.gest.accettazione_ordini_elenco.dto.OrdineAccettazioneInevasoDTO;

public class MainListProdOrdineProduzioneElencoListModel {

    private String groupTitle;

    private String description;

    private boolean hidden;
    private BindableBoolean selected = new BindableBoolean();


    private OrdineAccettazioneInevasoDTO originalModel;
    private List<MainListProdOrdineProduzioneElencoClienteListModel> clientiListModel;


    public String getGroupTitle() {
        return groupTitle;
    }

    public MainListProdOrdineProduzioneElencoListModel setGroupTitle(String groupTitle) {
        this.groupTitle = groupTitle;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public MainListProdOrdineProduzioneElencoListModel setDescription(String description) {
        this.description = description;
        return this;
    }

    public boolean isHidden() {
        return hidden;
    }

    public MainListProdOrdineProduzioneElencoListModel setHidden(boolean hidden) {
        this.hidden = hidden;
        return this;
    }

    public BindableBoolean getSelectedObservable() {
        return selected;
    }

    public OrdineAccettazioneInevasoDTO getOriginalModel() {
        return originalModel;
    }

    public MainListProdOrdineProduzioneElencoListModel setOriginalModel(OrdineAccettazioneInevasoDTO originalModel) {
        this.originalModel = originalModel;
        return this;
    }

    public List<MainListProdOrdineProduzioneElencoClienteListModel> getClientiListModel() {
        return clientiListModel;
    }

    public MainListProdOrdineProduzioneElencoListModel setClientiListModel(List<MainListProdOrdineProduzioneElencoClienteListModel> clientiListModel) {
        this.clientiListModel = clientiListModel;
        return this;
    }
}
